Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.util
Class TypeUtil

    java.lang.Object
      org.mortbay.util.TypeUtil

    public class TypeUtil

extends Object

TYPE Utilities. Provides various static utiltiy methods for manipulating types and their string representations.

Since:
  Jetty 4.1
Author:
  Greg Wilkins (gregw)

Field Summary
`static int` | `CR`
`static int` | `LF`

Constructor Summary
`TypeUtil()`

Method Summary
`static byte` | `convertHexDigit(byte b)`
`static void` | `dump(Class c)`
`static void` | `dump(ClassLoader cl)`
`static byte[]` | `fromHexString(String s)`
`static Class` | `fromName(String name)` Class from a canonical name for a type.
`static URL` | `jarFor(String className)`
`static Integer` | `newInteger(int i)` Convert int to Integer using cache.
`static byte[]` | `parseBytes(String s, int base)`
`static int` | `parseInt(byte[] b, int offset, int length, int base)` Parse an int from a byte array of ascii characters.
`static int` | `parseInt(String s, int offset, int length, int base)` Parse an int from a substring.
`static byte[]` | `readLine(InputStream in)`
`static String` | `toHexString(byte[] b)`
`static String` | `toHexString(byte[] b, int offset, int length)`
`static String` | `toName(Class type)` Canonical name for a type.
`static String` | `toString(byte[] bytes, int base)`
`static String` | `toString(int i)` Convert int to String using cache.
`static String` | `toString(long i)` Convert long to String using cache.
`static Object` | `valueOf(Class type, String value)` Convert String value to instance.
`static Object` | `valueOf(String type, String value)` Convert String value to instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CR

    public static int CR

### LF

    public static int LF

Constructor Detail

### TypeUtil

    public TypeUtil()

Method Detail

### fromName

    public static Class fromName(String name)

  Class from a canonical name for a type.

  Parameters:
    `name` - A class or type name.
  Returns:
    A class , which may be a primitive TYPE field..

### toName

    public static String toName(Class type)

  Canonical name for a type.

  Parameters:
    `type` - A class , which may be a primitive TYPE field.
  Returns:
    Canonical name.

### valueOf

    public static Object valueOf(Class type,
                                 String value)

  Convert String value to instance.

  Parameters:
    `type` - The class of the instance, which may be a primitive TYPE field.
    `value` - The value as a string.
  Returns:
    The value as an Object.

### valueOf

    public static Object valueOf(String type,
                                 String value)

  Convert String value to instance.

  Parameters:
    `type` - classname or type (eg int)
    `value` - The value as a string.
  Returns:
    The value as an Object.

### newInteger

    public static Integer newInteger(int i)

  Convert int to Integer using cache.

### toString

    public static String toString(int i)

  Convert int to String using cache.

### toString

    public static String toString(long i)

  Convert long to String using cache.

### parseInt

    public static int parseInt(String s,
                               int offset,
                               int length,
                               int base)
                        throws NumberFormatException

  Parse an int from a substring. Negative numbers are not handled.

  Parameters:
    `s` - String
    `offset` - Offset within string
    `length` - Length of integer or -1 for remainder of string
    `base` - base of the integer
  Throws:
    `NumberFormatException`

### parseInt

    public static int parseInt(byte[] b,
                               int offset,
                               int length,
                               int base)
                        throws NumberFormatException

  Parse an int from a byte array of ascii characters. Negative numbers are not handled.

  Parameters:
    `b` - byte array
    `offset` - Offset within string
    `length` - Length of integer or -1 for remainder of string
    `base` - base of the integer
  Throws:
    `NumberFormatException`

### parseBytes

    public static byte[] parseBytes(String s,
                                    int base)

### toString

    public static String toString(byte[] bytes,
                                  int base)

### convertHexDigit

    public static byte convertHexDigit(byte b)

  Parameters:
    `b` - An ASCII encoded character 0-9 a-f A-F
  Returns:
    The byte value of the character 0-16.

### toHexString

    public static String toHexString(byte[] b)

### toHexString

    public static String toHexString(byte[] b,
                                     int offset,
                                     int length)

### fromHexString

    public static byte[] fromHexString(String s)

### dump

    public static void dump(Class c)

### dump

    public static void dump(ClassLoader cl)

### readLine

    public static byte[] readLine(InputStream in)
                           throws IOException

  Throws:
    `IOException`

### jarFor

    public static URL jarFor(String className)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.